KeelsonDocs
    Judge Mode

    API reference Embed

    Set the origins that may frame approvals

    PUT/v1/embed/origins

    Replaces the https origins this client's agent platform may embed Keelson's approval in. Each becomes the page's frame-ancestors for that client's requests, and the only origin the frame talks to with postMessage.

    Headers

    Content-Typeapplication/jsonRequired

    Request body

    application/json

    originsarray of stringRequired

    Responses

    • 200The origins now allowed
    • 401No valid access token
    • 422An origin is not a bare https origin

    200 response

    originsarray of stringRequired